package com.xirihanlin.earthquake;

import java.util.Date;
import java.text.SimpleDateFormat;


import android.location.Location;

public class Quake {
	private Date date;
	private String detail;
	private Location location;
	private double magnitude;
	private String link;
	
	public Date getDate() {
		return date;
	}
	
	public String getDetail() {
		return detail;
	}
	
	public Location getLocation() {
		return location;
	}
	
	public double getMagnitude() {
		return magnitude;
	}
	
	public String getLink() {
		return link;
	}

	public Quake(Date _date, String _detail, Location _location, double _magnitude, String _link)
	{
		date = _date;
		detail = _detail;
		location = _location;
		magnitude = _magnitude;
		link = _link;
	}
	
	@Override
	public String toString()
	{
		SimpleDateFormat sdf = new SimpleDateFormat("HH:mm");
		String timeString = sdf.format(date);
		return timeString + ": " + magnitude + " " + detail;
	}
}
